@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Scope+One&display=swap');
/* Variables globales */
:root{
    --primary: #000000;
    --secondary: #28282a;
    --extra: #8a8b8c;
    --text: #323134;
    --dark: #000000;
    --white: #ffffff;
    --gray-light: #a0b9c9;
    --gray-dark: #292e31;

    --rounded-full: 5rem;
    --rounded-md: .3rem;
    --rounded-lg: 1.5rem;

    --text-xs: 0.8rem;
    --text-sm: 0.9rem;
    --text-normal: 1.1rem;
    --text-md: 1.5rem;
    --text-lg: 1.8rem;
    --text-xl: 2.2rem;
    --text-xxl: 2.6rem;
}

/* Estilos Generales */

html *{
    margin: 0;
    padding: 0;
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    box-sizing: border-box;
    color: var(--text);
}
*, *:before, *:after {
  box-sizing: inherit;
}

/* Heading & Paragraph */
p {
    color: var(--text);
    font-size: var(--text-sm);
    line-height: 1.5;
    margin: 1rem 0;
}
h1, h2, h3{
    font-family: "Lato", sans-serif;
    color: var(--text);
    font-weight: 600;
    line-height: 1.2;
}
h1{
    font-size: 2.5rem;
    margin: 1.2rem 0;
}
h2{
    font-size: var(--text-xxl);
    margin: 1.2rem 0;
}
h3{
    font-size: 1.2rem;
    margin: 1rem 0;
}

/* Text Color */
.text-primary{
    color: var(--primary);
}
.text-secondary{
    color: var(--secondary);
}
.text-extra{
    color: var(--extra);
}
.text-dark{
    color: var(--dark);
}
.text-white{
    color: var(--white);
}
.text-gray-light{
    color: var(--gray-light);
}
.text-gray-dark{
    color: var(--gray-dark);
}

/* Text Transform */
.uppercase{
    text-transform: uppercase;
}

/* Background Color */
.bg-primary{
    background-color: var(--primary);
}
.bg-secondary{
    background-color: var(--secondary);
}
.bg-extra{
    background-color: var(--extra);
}
/* Image Responsive */
img{
    width: 100%;
    height: auto;
}

/* Botones */
.btn{
    text-decoration: none;
    border-radius: var(--rounded-md);
    border-style: solid;
    border-color: #cccccc;
    border-width: 3px;
    padding: 1rem 3rem;
    margin: 10px;
    display: inline-block;
    text-wrap: nowrap;
    text-align: center;
    font-family: "Lato", sans-serif;
    font-weight: 600;
    font-size: .9rem;
    background-color: #cccccc;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}
.btn i{
    margin-right: .8rem;
}
.btn-primary{
    background-color: var(--primary);
    color: var(--white);
    border-color: var(--primary);
}
.btn-primary:hover{
    filter: brightness(120%);
}
.btn-secondary{
    background-color: var(--secondary);
    color: var(--white);
    border-color: var(--secondary);
}
.btn-secondary i{
    color: var(--white);
}
.btn-secondary:hover{
    filter: brightness(130%);
}
.btn-extra{
    background-color: var(--extra);
    color: var(--white);
    border-color: var(--extra);
    font-size: var(--text-xs);
}
.btn-extra i{
    color: var(--white);
}
.btn-extra:hover{
    background-color: var(--secondary);
}
.btn-outline-secondary{
    background-color: transparent;
    color: var(--secondary);
    border-color: var(--secondary);
}
.btn-outline-secondary:hover{
    background-color: var(--secondary);
    color: var(--white);
}
.btn-outline-extra{
    background-color: transparent;
    color: var(--extra);
    border-color: var(--extra);
}
.btn-outline-extra:hover{
    background-color: var(--secondary);
    color: var(--white);
}

/* BTN Responsive */
@media screen and (max-width: 768px){
    .btn{
        border-width: 2px;
        font-size: var(--text-normal);
        padding: 1rem 2rem;
    }
}
/* Container */
.container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 4rem 2rem;
    gap: 1.5rem;
}

/* Columns */
.columns{
    display: flex;
    gap: 1rem;
}
.columns > *{
    flex: 1;
    padding: 2rem;
}

/* Columns Responsive */
@media screen and (max-width: 1024px) {
    .columns > *{
        padding: 0.8rem;
    }
}
@media screen and (max-width: 992px) {
    .columns > *{
        padding: 0.5rem;
    }
}
@media screen and (max-width: 880px) {
    .columns{
        flex-direction: column;
    }
}

/* Header, Footer and Main */
header {
    position: fixed;
    width: 100%;
    background: var(--white);
    border-bottom: 1px solid var(--gray-light);
    z-index: 999;
    padding: .3rem 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo{
    max-width: 250px;
}

.logo-title {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.logo-title h1 { 
  font-size: var(--text-xl); 
  font-weight: 300; 
  margin: 0;
  padding-bottom: .5rem;
}
.logo-title span { 
  font-size: var(--text-normal); 
  color: #555; 
}
@media screen and (max-width: 1024px) {
    header {
        position: fixed;
        top: 0;
        justify-content: space-between;
        align-items: center;
        padding: 1rem 2rem;
    }
    .logo {
        max-width: 150px;
    }
    .logo-title {
        display: none;
    }
    .logo-title h1{
        display: none;
    }
}
.center{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
}
section {
  margin-bottom: 3rem;
}
.hero{
  padding-top: 10rem;
}
.hero .highlight {
  font-family: "Scope One", serif;
  font-optical-sizing: auto;
  font-weight: bold;
  font-size: 2.2rem;
  margin-bottom: 1rem;
  text-align: center;
  max-width: 900px;
  margin: 0 auto;
}
.hero img {
  margin-top: 3rem;
}
h2 {
  font-size: 1.5rem;
  margin-bottom: 1rem;
  border-left: 4px solid #000;
  padding-left: 0.5rem;
}
.quote {
  font-family: "scope", serif;
  font-optical-sizing: auto;
  font-style: italic;
  font-size: var(--text-xl);
  color: #333;
  margin-bottom: 1rem;
}
.sec-ventajas{
    background-color: #d7dbdf;
    margin: 0;
}
.sec-ventajas .list {
  margin-top: 3rem;
}
.sec-ventajas .list li{
    font-size: var(--text-md);
    margin-bottom: 1.5rem;
}
.sec-ventajas .list li i{
    color: var(--primary);
    margin-right: 1rem;
}

@media screen and (max-width: 1024px){
    .sec-ventajas .list li{
        font-size: var(--text-md);
    }   
}
.list, .locations { 
  list-style: none;
  padding-left: 0;
}
.list li, .locations li {
  margin-bottom: 0.5rem;
}

.sec-1 .highlight{
  font-family: "Scope One", serif;
  font-optical-sizing: auto;
  font-weight: bold;
  font-size: 2.2rem;
  margin-bottom: 1rem;
}

@media screen and (max-width: 879px) {
    .sec-2 .columns{
        flex-direction: column-reverse;
    }
}
.featured-block {
  padding: 14rem 2rem;
  background-image: url('img/CasaBRESS_Comedor-18Setenta-Qro-Feb2024-9498.jpg');
  background-position: center top;
  background-repeat: no-repeat;
  background-size: cover;
}
.featured-block-2 {
  padding: 8rem 2rem;
  text-align: center;
}
.featured-block-2 h3 {
  font-size: 4rem;
  margin-bottom: 1rem;
  font-family: "Scope One", serif;
  font-optical-sizing: auto;
}
@media screen and (max-width: 1024px) {
    .featured-block-2 h3 {
        font-size: 2rem;
        margin-bottom: 1rem;
        font-family: "Scope One", serif;
        font-optical-sizing: auto;
    }   
}
footer {
  background: #000;
  color: #fff;
  text-align: center;
  padding: 2rem 1rem;
}